# generic Plugin: MIYOplugin
Dieses Plugin bindet ein MIYO-Bewässerungssystem an einen Miniserver über UDP an. Die Kommunikation zwischen diesem Plugin und dem MIYO-Cube erfolgt per Websocket.
Die Kommunikation erfolgt bidirektional; das Zielsystem kann neben der Visualisierung der Zustände des Bewässerungssystems also auch die einzelnen Bewässerungskreise/Ventile steuern.

Das Plugin unterstützt bis zu 10 Bewässerungskreise mit jeweils bis zu 10 Ventilen.

nähere Informationen unter http://miyoplugin.phantasoft.de

## Installation und Konfiguration
Verzeichnis erzeugen
sudo mkdir /opt/MIYOplugin

in das erzeugte Verzeichnis wechseln
cd /opt/MIYOplugin

aktuelle Version des Plugins per wget holen
wget -N http://miyoplugin.phantasoft.de/files/generic-MIYOplugin.zip

ZIP-File entpacken
unzip generic-MIYOplugin.zip

Start-Rechte für Script vergeben:
chmod 711 -v generic-MIYOplugin-install.sh

generic-MIYOplugin-install.sh (dieses Script) ausführen
sudo ./generic-MIYOplugin-install.sh --install

## Upgrade-Installation
Um die vorhandene Konfiguration bei einer erneuten Installation zu erhalten, ist das Script mit dem Parameter --upgrade auszuführen:

sudo ./generic-MIYOplugin-install.sh --upgrade

Diese Funktion holt die letzte Version des ZIP-Files vom Server, sichert die aktuelle Konfiguration, packt das ZIP aus und stellt die ursprüngliche Konfiguration wieder her.
Zusätzlich wird der Dienst (so aktiv) neugestartet.

## Dienst stoppen & entfernen

sudo ./generic-MIYOplugin-install.sh --uninstall

Alle Dateien bleiben dabei erhalten. Es wird nur der systemd-Dienst gestoppt und deaktiviert.

## Feedback und Diskussion
Das PlugIn wird von mir weiterentwickelt und ich freue mich über Anregungen und Feedback. Hierzu habe ich im Loxforum einen Thread eröffnet:

<a href="https://www.loxforum.com/forum/projektforen/loxberry/plugins/201277">https://www.loxforum.com/forum/projektforen/loxberry/plugins/201277</a>

Oliver Engel, 31.03.2020
http://miyoplugin.phantasoft.de

## Change-Log
- 2019-05-18 Release v0.01  erste öffentliche Version
- 2019-05-30 Release v0.02  Remanenz des externBlock-Status eingeführt (EXT_REM)
                            Fehler beim Speichern der ipv6-Adresse im Conf-File behoben
                            Plugin meldet nun Start und Stop des Plugins per UDP (SID=MIYOcentral running=1/0)
- 2019-07-15 Release v0.03  mögliche Probleme beim Schreiben der Log-Files behoben
                            kleinere Optimierungen am Python-Code
- 2019-10-31 Release v0.04  Umlaute in den Bereichsnamen der MIYO-App möglich
                            kleinere Optimierungen hinsichtlich Logging und Fehlererkennung und -behebung
                            wsconnected=False als default; running=0-Meldung nur noch wenn Websocket offen war
                            Start-/Stopmeldungen des Plugins nun in allen konfigurierten Logfiles
                            Info-Meldungen im Haupt-Logfile (logfile/UDP-Sende-Log) zentralisiert
                            generic-MIYOplugin-install.sh kennt Parameter -repair zur Nachinstallation der erforderlichen pip-Pakete
- 2020-03-31 Release v0.05  keine inhaltlichen Änderungen

## Known-Issues

